/*
    DFT++ is a density functional package developed by the research group
    of Professor Tomas Arias

    Copyright 1996-2003 Sohrab Ismail-Beigi

    This file is part of DFT++.

    DFT++ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    DFT++ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DFT++; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Please see the file CREDITS for a list of authors.

    For academic users, we request that publications using results obtained with
    this software reference

    "New algebraic formulation of density functional calculation," by Sohrab Ismail-Beigi
    and T.A. Arias, Computer Physics Communications 128:1-2, 1-45 (June 2000).

    and, if using the wavelet basis, further reference

    "Multiresolution analysis of electronic structure: semicardinal and wavelet bases,"
    T.A. Arias, Reviews of Modern Physics 71:1, 267-311 (January 1999).

    and 

    "Robust ab initio calculation of condensed matter: transparent convergence through
    semicardinal multiresolution analysis,'' I.P. Daykov, T.A. Arias, and
    Torkel D. Engeness, Physical Review Letters, 90:21, 216402 (May 2003).

    For your convenience, preprints of the above articles may be obtained from
    http://arXiv.org/abs/cond-mat/9909130, 9805262, and 0204411, respectively.
*/

#include "header.h"

/* We don't calculate Pulay energy for wavelet bases yet. */
void calc_Epulay(Everything &everything)
{
  everything.energies.Epulay = 0.0;
}

/*
 * Calculate the electron-nuclear interaction
 */
//  void
//  calc_Eenuc(Everything &everything)
//  {
//    // We'll file the Eenuc profiling under the Eloc timer.
//  #ifdef DFT_PROFILING
//    timerOn(19);   // Turn on calc_Eloc timer
//  #endif // DFT_PROFILING
  
//    /* We'll use the local potential to store the (bare) ion potential. */
//    RealSpaceScalarFieldColumn &V = everything.elecvars.Vlocpot;
//    RealSpaceScalarFieldColumn &n = everything.elecvars.n;
  
//    RealSpaceScalarFieldColumn temp(n);
  
//    apply_Jdag(V,temp); 

//    everything.energies.Eenuc = 0.5*REAL(n^temp);

//  #ifdef DFT_PROFILING
//    timerOff(19);   // Turn off calc_Eloc timer
//  #endif // DFT_PROFILING
//  }

void calc_Ecore(Everything &everything) 
{
  everything.energies.Ecore = 0.0;
}

void calc_Enl(Everything &everything)
{
  everything.energies.Enl = 0.0;
}
